API referencePayment
POST /api/Payment/GetByInvoiceIds
POST
/api/Payment/GetByInvoiceIdscurl -X POST "/api/Payment/GetByInvoiceIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.PaymentDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"orderId": 0,
"invoiceId": 0,
"amount": 0,
"paymentDate": "2026-01-15T09:30:00Z",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}